COOKIETOOL(6)

NAME
cdbsplit - program to operate cookie (fortune) database

SYNOPSIS
cdbsplit [options] <cookie-database> <hitfile>

DESCRIPTION
This manual page documents briefly the cdbsplit command.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has some plain text documentation, see below.

cdbsplit is a program that can be used to operate cookie database in various formats, the default is standard fortune(6) format, i.e. list of 'cookies' delimited with line containing a single percent ('%') char . With 'cdbsplit' you can split cookie database, or extract parts of it depending on various criteria.

OPTIONS
A summary of options is included below. For a complete description, see the documentation in /usr/share/doc/cookietool directory. NOTE, that default behaviour is to overwrite existing database with its reduced version, so the cookies are MOVED to hitfile. The hitfile is never overwritten, but may be appended to.

[nothing]
    Shows summary of options.

-c  case-sensitive comparisons (for both keywords and groups)

-d[0-3]
    how fussy about word delimiters? (default: 2)

-k<keyword>
    optional keyword

-K<keyword>
    mandatory keyword (use both of them to form boolean expressions)

-l<min_lines>
    minimal cookie length (in lines)

-L<max_lines>
    maximal cookie length (in lines)

-w<chars>
    minimal line width (in chars)

-W<chars>
    maximal line width (in chars)

-n<min_number>
    start at cookie <min_number>

-N<max_number>
    stop after <max_number> cookie

-m<chars>
    find groups of cookies starting with <n> matching characters (database must be sorted for this to make sense!)

-x  extract only, don't modify <cookie-database>

-a  append, don't overwrite <hitfile> if such a filename exists

-f[0-3]
    input file format - -f3: cookies are separated by '%%' lines; -f2: cookies are separated by '%' lines (DEFAULT); -f1: each line is a cookie; -f0: each word is a cookie.

SEE ALSO
cookietool(6), cdbdiff(6)

BUGS
None known.

AUTHOR
Upstream author and Aminet cookietool.lha package with AmigaOS binaries uploader is Wilhelm Noeker, <wnoeker@t-online.de>. Unix manpages (including this one) and makefile are maintained by Miros/law L. Baran <baran@debian.org>. This manual page uses many excerpts from the original README file.